Returns the SDK views for the specified environment.
GET
/
environments
/
{environmentId}
/
sdkViews
Get SDK views for the environment
curl --request GET \
--url https://app.dynamicauth.com/api/v0/environments/{environmentId}/sdkViews \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.dynamicauth.com/api/v0/environments/{environmentId}/sdkViews"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.dynamicauth.com/api/v0/environments/{environmentId}/sdkViews', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"sdkViews": [
{
"type": "login",
"sections": [
{
"label": "<string>",
"numOfItemsToDisplay": 123,
"defaultItem": "<string>"
}
]
}
]
}{
"error": "No jwt provided!"
}{
"error": "Access Forbidden"
}{
"error": "Internal Server Error"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the environment
Required string length:
36Pattern:
^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Example:
"95b11417-f18f-457f-8804-68e361f9164f"
Response
List of sdk views for this project environment
Configs used to create the views in the sdk.
Show child attributes
Show child attributes
Last modified on July 24, 2026
Was this page helpful?
⌘I
Get SDK views for the environment
